=== debian/changelog ===
qt6-scxml (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 22:59:47 +0200

qt6-scxml (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:46:48 +0100

qt6-scxml (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 19:47:49 +0100

qt6-scxml (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999893)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 08:26:37 +0100
